Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.arbaro.mesh
Class ShieldedMeshGenerator

    java.lang.Object
      net.sourceforge.arbaro.mesh.ShieldedMeshGenerator

All Implemented Interfaces:
  MeshGenerator

Direct Known Subclasses:
  ShieldedGUIMeshGenerator

    public class ShieldedMeshGenerator

extends java.lang.Object
implements MeshGenerator

Author:
  wolfram

Constructor Summary
`ShieldedMeshGenerator(MeshGenerator meshGenerator)`

Method Summary
`LeafMesh` | `createLeafMesh(Tree tree, boolean useQuads)`
`Mesh` | `createStemMesh(Tree tree, Progress progress)`
`Mesh` | `createStemMeshByLevel(Tree tree, Progress progress)`
`boolean` | `getUseQuads()`
`protected void` | `showException(java.lang.Exception e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShieldedMeshGenerator

    public ShieldedMeshGenerator(MeshGenerator meshGenerator)

Method Detail

### getUseQuads

    public boolean getUseQuads()

  Specified by:
    `getUseQuads` in interface `MeshGenerator`

### showException

    protected void showException(java.lang.Exception e)

### createLeafMesh

    public LeafMesh createLeafMesh(Tree tree,
                                   boolean useQuads)

  Specified by:
    `createLeafMesh` in interface `MeshGenerator`

### createStemMesh

    public Mesh createStemMesh(Tree tree,
                               Progress progress)

  Specified by:
    `createStemMesh` in interface `MeshGenerator`

### createStemMeshByLevel

    public Mesh createStemMeshByLevel(Tree tree,
                                      Progress progress)

  Specified by:
    `createStemMeshByLevel` in interface `MeshGenerator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD